Announcement

Collapse
No announcement yet.

problem upgrade 5.1.9 to 5.2.0 Patch Level 2

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • problem upgrade 5.1.9 to 5.2.0 Patch Level 2

    Hello,
    I have already upgraded to 5.1.9 before proceeding carefree and then I did not update to latest version 5.2 at present .
    then I decided since Thursday to upgrade to 5.2.0 Patch Level 2, same operation as the previous version but :



    Step number 1 to number 5 carefree but this one is in step number 6 which poses problem , since there I feel she is repeatedly since this is done several hours
    I do not know what * .XML involved or whether if it is rejected by the server
    where I can see this error ?
    is there a way to save * .LOG for that landmark error?
    next 5.2.1 will fix this problem?

  • #2
    If you are running 5.1.9, you need to download the FULL 5.2.0 package, and run the upgrade script.
    The patch files are ONLY for people already running 5.2.0.
    MARK.B | vBULLETIN SUPPORT

    TalkNewsUK - My vBulletin 5.5.4 Demo
    AdminAmmo - My Cloud Demo

    Comment


    • ORiGaMi
      ORiGaMi commented
      Editing a comment
      precisely , I opted to extract the full content of 5.2.0 , the problem remains the same stuck on step 6 loops hours without reaching step 7

  • #3
    Originally posted by Mark.B View Post
    If you are running 5.1.9, you need to download the FULL 5.2.0 package, and run the upgrade script.
    The patch files are ONLY for people already running 5.2.0.
    is it that I PHP7 active with my hosting provider ? maybe this will solve this problem. I saw that vBulletin 5.2.1 would need PHP7 but it is also the same for vBulletin 5.2.0 ?

    Comment


    • #4
      Originally posted by ORiGaMi View Post

      is it that I PHP7 active with my hosting provider ? maybe this will solve this problem. I saw that vBulletin 5.2.1 would need PHP7 but it is also the same for vBulletin 5.2.0 ?
      vB5.2.1 doesn't need PHP7. It supports PHP7 but also PHP5.4 and PHP5.5.

      Have you tried refreshing the page when the upgrade script stops? Often it will continue where it left off.

      Comment


      • #5
        i found this problem in windows debug :
        "Failed to load resource: the server responded with a status of 500 (Internal Server Error)
        vbulletin-core.js:11 AJAX Error: Status = 500: Internal Server Error " Click image for larger version

Name:	aa.JPG
Views:	41
Size:	33.1 KB
ID:	4340755
        how to solve this? oddly config.php is not error proof since vbulletin is installed for a year

        Comment


        • #6
          You need to find out what that 500 error actually is...it'll be in the server logs.

          I would, howver, download a frsh copy of the FULL 5.2.0 package, (not the patch!), upload ALL the files, and try the upgrade script again.
          MARK.B | vBULLETIN SUPPORT

          TalkNewsUK - My vBulletin 5.5.4 Demo
          AdminAmmo - My Cloud Demo

          Comment


          • ORiGaMi
            ORiGaMi commented
            Editing a comment
            i already do it

            TWICE yesterday et today
            Last edited by ORiGaMi; Fri 1st Apr '16, 4:06am.

        • #7
          Also, I got this trying to run your upgrade script, on occasion:

          A database error occured, please check the database settings in the config file or enable debug mode for additional information.

          I would advise putting the site into debug mode (needs doing in both config files) so we can see what that error actually is....I strongly suspect something (probably the MySQL server) is timing out, and that database error will be something like "MySQL server has gone away". That will then be the core of the issue.
          MARK.B | vBULLETIN SUPPORT

          TalkNewsUK - My vBulletin 5.5.4 Demo
          AdminAmmo - My Cloud Demo

          Comment


          • #8
            Originally posted by Mark.B View Post
            Also, I got this trying to run your upgrade script, on occasion:

            A database error occured, please check the database settings in the config file or enable debug mode for additional information.

            I would advise putting the site into debug mode (needs doing in both config files) so we can see what that error actually is....I strongly suspect something (probably the MySQL server) is timing out, and that database error will be something like "MySQL server has gone away". That will then be the core of the issue.

            I think finding a problem , in my hoster configuration ,
            I put him PHP 5.5 as it was before PHP 5.6
            it seems to recognize me but I get a new error
            Action Required
            Unexpected Text:
            A database error occured, please check the database settings in the config file or enable debug mode for additional information. Script: final
            Step: 6




            my config.php is not any error puique is recognized and msql such website online
            I have uploaded 5.2.0 FULL twice (yesterdau and today) and always the same worries
            Last edited by ORiGaMi; Fri 1st Apr '16, 4:39am.

            Comment


            • #9
              Again, we need to know what the actual database error is.
              Without that, it's impossible to advise further.

              Put the site into debug mode and next time that error occurs, it will display the full error.
              MARK.B | vBULLETIN SUPPORT

              TalkNewsUK - My vBulletin 5.5.4 Demo
              AdminAmmo - My Cloud Demo

              Comment


              • ORiGaMi
                ORiGaMi commented
                Editing a comment
                To enable debug mode , I open config.php and around line // $ config [ 'Misc '] [ ' debug' ] = true; it is already true ?

                in my config.php :
                $config['Database']['dbtype'] = 'mysqli'; OK
                $config['Database']['dbname'] = 'db*********_oscaro'; OK
                $config['Database']['tableprefix'] = 'vB_'; OK

                $config['MasterServer']['servername'] = 'db*****-oscaro.sql-pro.online.net'; OK
                $config['MasterServer']['port'] = 3306; OK

                $config['MasterServer']['username'] = 'db*********_oscaro'; OK
                $config['MasterServer']['password'] = 'mypassword'; OK

            • #10
              You need to uncomment it, by removing // from the front.

              There are slightly different instructions for the other config file.

              Please follow the full instructions HERE
              MARK.B | vBULLETIN SUPPORT

              TalkNewsUK - My vBulletin 5.5.4 Demo
              AdminAmmo - My Cloud Demo

              Comment


              • ORiGaMi
                ORiGaMi commented
                Editing a comment
                I read the documentation , I have done vbulletin in debug mode , nothing to see !!
                the problem remains the same.

                the technician my hoster , it confirms no error in the database.

                However, I executes tools.php and here the cause is vbulletin-settings.php ?

            • #11

              Hello
              the technician my hoster , it confirms no error in the database.

              following a test on the upgrade to new vBulletin 5.2.1 but abandoning upgrade to vBulletin 5.2.0 patch level2
              here's what I have in Step 6 :
              step6 =
              Step 6 - Importing vbulletin-pagetemplates.xml = problem?
              Attached Files
              Last edited by ORiGaMi; Tue 12th Apr '16, 3:13am.

              Comment


              • #12
                That's a generic server error message.

                We'd need the actual, full error behind it. You can obtain this from your srrver error logs (ask your host if unsure).

                The bottom line with all these issues is - we need the full, detailed error message in order to help, because otherwise we have no idea what the problem is.
                MARK.B | vBULLETIN SUPPORT

                TalkNewsUK - My vBulletin 5.5.4 Demo
                AdminAmmo - My Cloud Demo

                Comment


                • #13

                  Bonjour
                  en attendant leur réponse

                  Hello
                  waiting response Click image for larger version

Name:	image_67613.jpg
Views:	19
Size:	24.9 KB
ID:	4341435

                  Comment


                  • #14
                    Finally, I managed to upload my website but back to the 5.1.8 version with its base of vBulletin 5.1.8 Data.
                    online.fr the service administrators were not able to find the problems.

                    it seems to me that vbulletin is the fault as his source of latest version 5.2.1 or 5.2.0 is not compatible to my hoster is www.online.fr, which explains the error 500.

                    I set before the functional version is 5.1.8 and 5.1.9 are compatible hebergeur my perfect !!.
                    and for information , I installed vbulletin 5.1.2 removing all the database to reinstall properly , and the site , many 500 error , that we know but it sure is incompatible with my hebergeur www.online.fr .


                    Finally, vBulletin 5.2.1 is incompatible with my hoster.
                    do you have the idea where it may come the worries?
                    necessary that I add something in .htaccess or config.php?


                    help me for vBulletin 5.2.1 works with my hoster adding something.
                    Last edited by ORiGaMi; Wed 20th Apr '16, 5:41am.

                    Comment


                    • #15
                      A 500 error simply means 'there was a problem'. That is all. It tells us absolutely nothing else.
                      As I stated above, we really do need the full error message from the server logs. Without that, there are thousands of potential causes and we'd just be guessing.

                      There is no bug with vBulletin that would cause this to happen - if there was, we'd have hundreds of customers reporting it - so if anything it's that your host is not compatible with vBulletin, rather than the other way round.

                      However, as I say, without a full error message there is nothing we can tell you.
                      MARK.B | vBULLETIN SUPPORT

                      TalkNewsUK - My vBulletin 5.5.4 Demo
                      AdminAmmo - My Cloud Demo

                      Comment

                      Related Topics

                      Collapse

                      Working...
                      X